function []=Reference(model,c, seed, nx, ny)
rng(54,"twister")


Zref = fftma(model, c, seed, 1, nx,1, ny,1);

FlowParameters.nx    = nx;
FlowParameters.ny    = ny;
FlowParameters.Z     = Zref;
FlowParameters.BC    = [0 ; 1];
FlowParameters.Kmean = 100;

Rref=FlowSimulation(FlowParameters);
%%

save('Reference_Data.mat','Zref','Rref')

figure(1);clf;
imagesc(reshape(Rref,[nx ny])');
axis('square')
xlabel('Coord. x (m)')
ylabel('Coord. y (m)')
title('Carte des charges hydrauliques')
colorbar;
colormap jet;
clim([0 1]);
set(gca, 'YDir', 'normal');
fontsize(gca, 12, 'points');

figure(2);clf;
imagesc(reshape(Zref,[nx ny])');
axis('square')
xlabel('Coord. x (m)')
ylabel('Coord. y (m)')
title('Log10 Transmissivité')
colorbar;
colormap jet;
clim([-2 2]);
set(gca, 'YDir', 'normal');
fontsize(gca, 12, 'points');